summaryrefslogtreecommitdiffstats
path: root/graphics/icc_profiles_from_eci
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/icc_profiles_from_eci')
-rw-r--r--graphics/icc_profiles_from_eci/README5
-rw-r--r--graphics/icc_profiles_from_eci/icc_profiles_from_eci.SlackBuild63
-rw-r--r--graphics/icc_profiles_from_eci/icc_profiles_from_eci.info14
-rw-r--r--graphics/icc_profiles_from_eci/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/graphics/icc_profiles_from_eci/README b/graphics/icc_profiles_from_eci/README
new file mode 100644
index 0000000000..e94151fb9f
--- /dev/null
+++ b/graphics/icc_profiles_from_eci/README
@@ -0,0 +1,5 @@
+Installs popular ICC Profiles from ECI (European Color Initiative) for
+better color management.
+
+This script installs the ECI's RGB, CMYK, and DeviceLink ICC profiles
+to /usr/share/color/icc/
diff --git a/graphics/icc_profiles_from_eci/icc_profiles_from_eci.SlackBuild b/graphics/icc_profiles_from_eci/icc_profiles_from_eci.SlackBuild
new file mode 100644
index 0000000000..de6dbc64d4
--- /dev/null
+++ b/graphics/icc_profiles_from_eci/icc_profiles_from_eci.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/bash
+# Slackware build script for ECI (European Color Initiative) ICC profiles
+
+# Copyright 2019 Klaatu | Lawrence, NZ | klaatu@member.fsf.org
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=icc_profiles_from_eci
+VERSION=${VERSION:-"2017_08_27"}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+ECINAM=eciRGB_v2_profile
+CMYKNAM=ecicmyk
+DEVICELINK=ecicmyk_devicelinkprofiles_$(echo $VERSION | tr _ -)
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION $ECINAM ${CMYKNAM}.icc
+
+unzip $CWD/ecirgbv20.zip
+
+install -d $PKG/usr/share/color/icc/
+install -m644 "${ECINAM}"/*.icc \
+ $PKG/usr/share/color/icc/
+
+unzip $CWD/$CMYKNAM.zip -d $PKG/usr/share/color/icc/
+unzip $CWD/$DEVICELINK.zip -d $PKG/usr/share/color/icc/
+rm -rf $PKG/usr/share/color/icc/__MACOSX/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m644 "${ECINAM}"/licence.rtf \
+ $PKG/usr/doc/${PRGNAM}-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/icc_profiles_from_eci/icc_profiles_from_eci.info b/graphics/icc_profiles_from_eci/icc_profiles_from_eci.info
new file mode 100644
index 0000000000..6674ba6baa
--- /dev/null
+++ b/graphics/icc_profiles_from_eci/icc_profiles_from_eci.info
@@ -0,0 +1,14 @@
+PRGNAM="icc_profiles_from_eci"
+VERSION="2017_08_27"
+HOMEPAGE="http://www.eci.org"
+DOWNLOAD="http://www.eci.org/_media/downloads/icc_profiles_from_eci/ecicmyk_devicelinkprofiles_2017-08-27.zip \
+ http://www.eci.org/_media/downloads/icc_profiles_from_eci/ecicmyk.zip \
+ http://www.eci.org/_media/downloads/icc_profiles_from_eci/ecirgbv20.zip"
+MD5SUM="0375b99af01f384731736054a43549c2 \
+ ce4216b5c7012784e3826c0d3ec602bd \
+ 20761e99976df9636bcf87ebe0d7e244"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/graphics/icc_profiles_from_eci/slack-desc b/graphics/icc_profiles_from_eci/slack-desc
new file mode 100644
index 0000000000..800d2917e5
--- /dev/null
+++ b/graphics/icc_profiles_from_eci/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+icc_profiles_from_eci: icc_profiles_from_eci (ECI ICC profiles for color management)
+icc_profiles_from_eci:
+icc_profiles_from_eci: ICC Profiles help maintain consistent color across different media
+icc_profiles_from_eci: and applications. This installs ECI RGB, CMYK, and DeviceLink ICC
+icc_profiles_from_eci: profiles. (For specific profiles, see the website of your printer,
+icc_profiles_from_eci: scanner, or specialty paper and install to /usr/share/color/icc).
+icc_profiles_from_eci:
+icc_profiles_from_eci: http://www.eci.org
+icc_profiles_from_eci:
+icc_profiles_from_eci:
+icc_profiles_from_eci: